Retrieve Server Settings
curl --request GET \
--url https://api.example.com/api/v1/settings \
--header 'Authorization: Bearer <token>'{
"server": {
"listen": {
"type": "tcp",
"address": "<string>"
},
"api": {
"url": "<string>"
},
"web": {
"enabled": true,
"url": "<string>"
},
"auth": {
"methods": [],
"github": {
"allowed_usernames": [
"<string>"
]
}
},
"sandbox": {
"providers": {
"local": {
"enabled": true
},
"docker": {
"enabled": true
},
"daytona": {
"enabled": true
}
}
},
"storage": {
"root": "<string>"
},
"artifacts": {
"prefix": "<string>",
"store": {
"type": "local",
"root": "<string>"
}
},
"slatedb": {
"prefix": "<string>",
"store": {
"type": "local",
"root": "<string>"
},
"flush_interval": "<string>",
"disk_cache": true
},
"scheduler": {
"max_concurrent_runs": 123
},
"logging": {
"level": "<string>"
},
"integrations": {
"github": {
"enabled": true,
"app_id": "<string>",
"client_id": "<string>",
"slug": "<string>",
"webhooks": {}
},
"slack": {
"enabled": true,
"default_channel": "<string>"
}
}
}
}Administration
Retrieve Server Settings
Returns the server’s current in-memory settings view as the typed ServerSettings payload.
GET
/
api
/
v1
/
settings
Retrieve Server Settings
curl --request GET \
--url https://api.example.com/api/v1/settings \
--header 'Authorization: Bearer <token>'{
"server": {
"listen": {
"type": "tcp",
"address": "<string>"
},
"api": {
"url": "<string>"
},
"web": {
"enabled": true,
"url": "<string>"
},
"auth": {
"methods": [],
"github": {
"allowed_usernames": [
"<string>"
]
}
},
"sandbox": {
"providers": {
"local": {
"enabled": true
},
"docker": {
"enabled": true
},
"daytona": {
"enabled": true
}
}
},
"storage": {
"root": "<string>"
},
"artifacts": {
"prefix": "<string>",
"store": {
"type": "local",
"root": "<string>"
}
},
"slatedb": {
"prefix": "<string>",
"store": {
"type": "local",
"root": "<string>"
},
"flush_interval": "<string>",
"disk_cache": true
},
"scheduler": {
"max_concurrent_runs": 123
},
"logging": {
"level": "<string>"
},
"integrations": {
"github": {
"enabled": true,
"app_id": "<string>",
"client_id": "<string>",
"slug": "<string>",
"webhooks": {}
},
"slack": {
"enabled": true,
"default_channel": "<string>"
}
}
}
}Authorizations
BearerAuthSessionCookie
Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.
Response
200 - application/json
Server settings
Current in-memory server settings view.
Show child attributes
Show child attributes
⌘I